/* Copyright (c) 2009 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */


#include <stdbool.h>
#include <stdint.h>
#include "nrf.h"
#include "nrf_uart_int.h"

int main(void)
{
    uart_config_t my_config;
    
    my_config.pin_txd  = 17;
    my_config.pin_rxd  = 16;
    my_config.baudrate = UART_BAUDRATE_115200;
    my_config.hwfc     = 0;
    my_config.parity   = 0;
    
    nrf_uart_init(&my_config);
    
    nrf_uart_putstring("\r\nHello World");
    nrf_uart_putstring("\r\nPress any key for echo\r\n");
    
    while(true)
    {
        if(nrf_uart_chars_available())
        {
            nrf_uart_put(nrf_uart_get());
        }
    }
}
